Bug 845796 - External Monitor on Connect/Disconnect causes GNOME-Shell to crash
External Monitor on Connect/Disconnect causes GNOME-Shell to crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-05 01:58 EDT by Daniel
Modified: 2013-08-01 02:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:56:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel 2012-08-05 01:58:51 EDT
Description of problem:
Whenever I connect or disconnect an external (VGA) monitor (19") to my laptop (Acer Aspire 5720Z - Intel Mobile GMA965 Express Family Chipset, Intel X3100 graphics card), GNOME-Shell crashes. As a result, the OS is unable to accept any keyboard input to specific applications (because there is no focus, I presume), however I am able to switch to one of the various terminal displays (CTRL+ALT+F#) but I am unable to restart GNOME-Shell from here. Because of this I have to restart my computer (su reboot).

Version-Release number of selected component (if applicable):
GNOME Shell 3.4.1

How reproducible:
Always

Steps to Reproduce:
1. Connect/Disconnect an external VGA monitor
2. Observe.
  
Actual results:
Inability for applications to accept input from the keyboard. GNOME-Shell crashing.

Expected results:
None of the above. To continue working as normal.

Additional info:
Laptop: Acer Aspire 5720Z


Cheers guys.
Comment 1 Daniel 2012-08-05 02:01:36 EDT
I feel that I should add (since I am unable to edit my initial report), that this has occurred since Fedora 17 installation. This bug does not occur on Ubuntu 12.04 (Precise Pangolin) using the same GNOME-Shell product (version 3.4.1).
Comment 2 Daniel 2012-08-05 02:06:34 EDT
If more information is required, and quickly, I will be on the Fedora IRC channel (irc.freenode.net #fedora) under the alias 'Mayazcherquoi' for the next six hours since this post :-)
Comment 3 Fedora End Of Life 2013-07-03 21:54:13 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 02:56:05 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.